# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------

from enum import Enum
from azure.core import CaseInsensitiveEnumMeta


class ActionType(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """Enum. Indicates the action type. "Internal" refers to actions that are for internal only APIs."""

    INTERNAL = "Internal"


class ApplicationType(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """Various application types of the Serverless Runtime environments."""

    CDI = "CDI"
    """Data Integration"""
    CDIE = "CDIE"
    """Advanced Data Integration"""


class CreatedByType(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """The type of identity that created the resource."""

    USER = "User"
    APPLICATION = "Application"
    MANAGED_IDENTITY = "ManagedIdentity"
    KEY = "Key"


class Origin(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """The intended executor of the operation; as in Resource Based Access Control (RBAC) and audit
    logs UX. Default value is "user,system".
    """

    USER = "user"
    SYSTEM = "system"
    USER_SYSTEM = "user,system"


class PlatformType(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """Various types of the Platform types."""

    AZURE = "AZURE"
    """Azure platform type"""


class ProvisioningState(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """Provisioning State of the Organization resource."""

    ACCEPTED = "Accepted"
    """Organization resource creation request accepted"""
    CREATING = "Creating"
    """Organization resource creation started"""
    UPDATING = "Updating"
    """Organization resource is being updated"""
    DELETING = "Deleting"
    """Organization resource deletion started"""
    SUCCEEDED = "Succeeded"
    """Organization resource creation successful"""
    FAILED = "Failed"
    """Organization resource creation failed"""
    CANCELED = "Canceled"
    """Organization resource creation canceled"""
    DELETED = "Deleted"
    """Organization resource is deleted"""
    NOT_SPECIFIED = "NotSpecified"
    """Organization resource state is unknown"""


class RuntimeType(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """Various types of the runtime types."""

    SERVERLESS = "SERVERLESS"
    """Serverless Runtime type"""
